Event.TopologyChange.Change (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Enum Event.TopologyChange.Change

- java.lang.Object
- - java.lang.Enum<Event.TopologyChange.Change>
  - - org.apache.cassandra.transport.Event.TopologyChange.Change

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.TopologyChange.Change>
  Enclosing class:
    Event.TopologyChange

      public static enum Event.TopologyChange.Change
      extends java.lang.Enum<Event.TopologyChange.Change>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MOVED_NODE`
    `NEW_NODE`
    `REMOVED_NODE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.TopologyChange.Change` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.TopologyChange.Change[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW_NODE

          public static final Event.TopologyChange.Change NEW_NODE

    - #### REMOVED_NODE

          public static final Event.TopologyChange.Change REMOVED_NODE

    - #### MOVED_NODE

          public static final Event.TopologyChange.Change MOVED_NODE

  - ### Method Detail

    - #### values

          public static Event.TopologyChange.Change[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.TopologyChange.Change c : Event.TopologyChange.Change.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.TopologyChange.Change valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation